package com.muyu.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.TaskJoinInfo;
import com.muyu.mapper.TaskJoinMapper;
import com.muyu.service.TaskJoinService;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @PackageName:com.muyu.service.impl
 * @ClassName:TaskJoinServiceImpl
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/2 20:14
 */
@Service
public class TaskJoinServiceImpl extends ServiceImpl<TaskJoinMapper, TaskJoinInfo> implements TaskJoinService{

    @Autowired
    private TaskJoinMapper taskJoinMapper;

    @Override
    public String addTaskJoin(TaskJoinInfo taskJoinInfo) {
        LambdaQueryWrapper<TaskJoinInfo> taskJoinInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        taskJoinInfoLambdaQueryWrapper.eq(TaskJoinInfo::getNodeId,taskJoinInfo.getNodeId());
        TaskJoinInfo taskJoinInfo1 = taskJoinMapper.selectOne(taskJoinInfoLambdaQueryWrapper);
        if(taskJoinInfo1!=null){
            taskJoinMapper.deleteById(taskJoinInfo1.getId());
        }
        int insert = taskJoinMapper.insert(taskJoinInfo);
        if(insert<=0){
            throw new RuntimeException("失败");
        }
        return "添加成功";
    }
}
